[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'sysutils' (#rtl)

# WrapText

Word-wrap a text.

## Declaration

Source position: line 0

`function WrapText(`
`const Line: string;`
`const BreakStr: string;`
`const BreakChars: TSysCharSet;`
`MaxCol: Integer`
`):string; function WrapText(`
`const Line: string;`
`MaxCol: Integer`
`):string;`

## Description

WrapText does a wordwrap at column MaxCol of the string in Line. It breaks the string only at characters which are in BreakChars (default whitespace and hyphen) and inserts then the string BreakStr (default the lineending character for the current OS).

## See also

StringReplace |  | Replace occurrences of one substring with another in a string.

Documentation generated on: Feb 26 2014